> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update affiliate settings

> Developer API operation for PATCH /dev/v1/affiliates/settings.



## OpenAPI

````yaml /openapi.json patch /dev/v1/affiliates/settings
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/affiliates/settings:
    patch:
      tags:
        - Affiliates
      summary: Update affiliate settings
      description: Developer API operation for PATCH /dev/v1/affiliates/settings.
      operationId: patchDevV1AffiliatesSettings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                affiliate_revenue_active:
                  type: boolean
                affiliate_revenue_percent:
                  type: number
                affiliate_customer_discount_active:
                  type: boolean
                affiliate_customer_discount_percent:
                  type: number
                affiliate_custom_link_active:
                  type: boolean
                affiliate_custom_link_must_approve:
                  type: boolean
                affiliate_commission_shareback_active:
                  type: boolean
                affiliate_auto_join_active:
                  type: boolean
              example:
                affiliate_revenue_active: true
                affiliate_revenue_percent: 25
                affiliate_customer_discount_active: true
                affiliate_customer_discount_percent: 10
                affiliate_custom_link_active: true
                affiliate_custom_link_must_approve: false
          multipart/form-data:
            schema:
              type: object
              properties:
                affiliate_revenue_active:
                  type: boolean
                affiliate_revenue_percent:
                  type: number
                affiliate_customer_discount_active:
                  type: boolean
                affiliate_customer_discount_percent:
                  type: number
                affiliate_custom_link_active:
                  type: boolean
                affiliate_custom_link_must_approve:
                  type: boolean
                affiliate_commission_shareback_active:
                  type: boolean
                affiliate_auto_join_active:
                  type: boolean
              example:
                affiliate_revenue_active: true
                affiliate_revenue_percent: 25
                affiliate_customer_discount_active: true
                affiliate_customer_discount_percent: 10
                affiliate_custom_link_active: true
                affiliate_custom_link_must_approve: false
          text/plain:
            schema:
              type: object
              properties:
                affiliate_revenue_active:
                  type: boolean
                affiliate_revenue_percent:
                  type: number
                affiliate_customer_discount_active:
                  type: boolean
                affiliate_customer_discount_percent:
                  type: number
                affiliate_custom_link_active:
                  type: boolean
                affiliate_custom_link_must_approve:
                  type: boolean
                affiliate_commission_shareback_active:
                  type: boolean
                affiliate_auto_join_active:
                  type: boolean
              example:
                affiliate_revenue_active: true
                affiliate_revenue_percent: 25
                affiliate_customer_discount_active: true
                affiliate_customer_discount_percent: 10
                affiliate_custom_link_active: true
                affiliate_custom_link_must_approve: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
                example:
                  data:
                    message: Affiliate settings saved.
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````